; GlassPlus - Beispiel 1
; Copyright ChristanK, 2009

; Fenster erstellen
win = CreateWindow("", 250, 250, 600, 150, 0, 1 + 32)

; GlasPlus initialisieren
DebugLog GlassPlusInit(-1)

; Glasfenster aus dem Standard-Fenster erstellen
Local gwin = MakeGlassWindow(QueryObject( win, 1 ), -1, 0, 0, 0)

; Das Fenster soll im Glasbereich verschoben werden knnen
EnableGlassDrag(gwin, 1)

; Logo (mit Alphakanal) aus der PNG-Datei laden
Local img = LoadGlassImage("logo.png")

; Bild auf dem Glasfenster zeichnen
DrawGlassImage gwin, img, 10, 5

; Bild wieder lschen
DeleteGlassImage gwin

; Default-Schrifart laden
Local font = LoadGlassFont(gwin, "", 0)

; Zwei Strings mit Glow-Effekt auf dem Fenster ausgeben
DrawGlassText gwin, font, "GlassPlus by ChristianK", 160, 15, 10
DrawGlassText gwin, font, "Mit GlassPlus lassen sich viele Mglichkeiten der neuen Windows Vista Aero" + Chr( 10 ) + "Oberflche nutzen, wie zum Beispiel transparente Bilder" + Chr( 10 ) + "und Texte mit Glow-Effekt.",  160, 45, 10

; Schriftart lschen
DeleteGlassFont font

; Fenster neu zeichnen, um nderungen sichtbar zu machen
RedrawGlassWindow gwin

; Nachrichten-Schleife
Repeat
	Select WaitEvent()
		Case $803
			RemoveWindowGlass(gwin)
			
			GlassPlusDeinit()
			End
	End Select
Forever
