; GlassPlus - Beispiel 3
; Copyright ChristanK, 2009

; Fenster erstellen
win = CreateWindow("", 250, 250, 400, 300, 0, 1 + 32)

; GlasPlus initialisieren
GlassPlusInit(-1)

; Glasfenster aus dem Standard-Fenster erstellen
Local gwin = MakeGlassWindow(QueryObject( win, 1 ), -1, 0, 0, 0)

; Das Fenster soll im Glasbereich verschoben werden knnen
EnableGlassDrag(gwin, 1)

; Einen Farbverlauf und zwei Formen zeichnen
Local gradient = CreateGlassGradient(0, 0, $FF00FFCC, 400, 300, $440000FF)
DrawGlassGradient gwin, gradient, 0, 0, 400, 300
DeleteGlassGradient gradient

DrawGlassRect gwin, 50, 70, 100, 75, $550000AA

DrawGlassOval gwin, 200, 120, 140, 100, $550000AA

; Text zeichnen
Local font = LoadGlassFont(gwin, "", 0)
DrawGlassText gwin, font, "Auch Farbverlufe und Formen lassen sich sehr einfach zeichnen.", 20, 20, 10
DeleteGlassFont font

; Fenster neu zeichnen, um nderungen sichtbar zu machen
RedrawGlassWindow gwin

; Nachrichten-Schleife
Repeat
	Select WaitEvent()
		Case $803
			RemoveWindowGlass(gwin)
			
			GlassPlusDeinit()
			End
	End Select
Forever
